CopyHero

Get Workflows

GET
/api/v1/analytics/workflows

Get per-workflow (blueprint) execution statistics.

Returns workflow-level metrics including:

  • blueprint_id: The workflow blueprint ID
  • blueprint_name: The workflow blueprint name
  • task_count: Number of tasks for this workflow
  • jobs_count: Number of jobs for this workflow (filtered by state if provided)

Access Control:

  • Regular users: See only their owned or employed stores
  • Superusers in a browser session: see all stores (API keys and MCP never act as superuser)

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

start_date?|

Start of time range (inclusive). Defaults to 30 days ago.

end_date?|

End of time range (inclusive). Defaults to now.

store_id?|

Filter to a specific store

state?|

Filter jobs_count by state (pending, running, finished, error, cancelled)

Response Body

Successful Response

application/json
  1. response

Response schema for GET /analytics/workflows endpoint.

period*

The time period for the analytics

workflows*array<>

Per-workflow statistics

Example Request
curl -X GET 'https://app.copyhero.app/api/v1/analytics/workflows'
Example Response
{  "period": {    "start": "2019-08-24T14:15:22Z",    "end": "2019-08-24T14:15:22Z"  },  "workflows": [    {      "blueprint_id": 0,      "blueprint_name": "string",      "task_count": 0,      "jobs_count": 0    }  ]}